| Home | Libraries | People | FAQ | More

## Struct template bidirectional_iterator

boost::type_erasure::bidirectional_iterator

## Synopsis

    // In header: <boost/type_erasure/iterator.hpp>

    template<typename T = _self, typename Reference = boost::use_default,
             typename DifferenceType = std::ptrdiff_t>
    struct bidirectional_iterator : public boost::type_erasure::iterator< boost::bidirectional_traversal_tag, T, Reference, DifferenceType >
    {
    };